Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.vlaanderen.mercurius.vsb_ewzcfin.schemas.v1
Class AdmissionType

    java.lang.Object
      be.vlaanderen.mercurius.vsb_ewzcfin.schemas.v1.AdmissionType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2019-09-25T04:51:41+02:00",
               comments="JAXB RI v2.2.11")
    public class AdmissionType

extends Object
implements Serializable

Opname van een bewoner

Java class for AdmissionType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AdmissionType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="AdmissionStartTime" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
             <element name="AdmissionEndTime" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
             <element name="IsAccident" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="EndReason" type="{http://www.mercurius.vlaanderen.be/vsb-ewzcfin/schemas/v1}EndReasonType" minOccurs="0"/>
             <element name="ContractEndTime" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
             <element name="BedPeriodList" type="{http://www.mercurius.vlaanderen.be/vsb-ewzcfin/schemas/v1}BedPeriodListType"/>
             <element name="TemporaryAbsenceList" type="{http://www.mercurius.vlaanderen.be/vsb-ewzcfin/schemas/v1}TemporaryAbsenceListType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`AdmissionType()`

Method Summary
`org.joda.time.DateTime` | `getAdmissionEndTime()` Gets the value of the admissionEndTime property.
`org.joda.time.DateTime` | `getAdmissionStartTime()` Gets the value of the admissionStartTime property.
`BedPeriodListType` | `getBedPeriodList()` Gets the value of the bedPeriodList property.
`org.joda.time.DateTime` | `getContractEndTime()` Gets the value of the contractEndTime property.
`EndReasonType` | `getEndReason()` Gets the value of the endReason property.
`TemporaryAbsenceListType` | `getTemporaryAbsenceList()` Gets the value of the temporaryAbsenceList property.
`boolean` | `isIsAccident()` Gets the value of the isAccident property.
`void` | `setAdmissionEndTime(org.joda.time.DateTime value)` Sets the value of the admissionEndTime property.
`void` | `setAdmissionStartTime(org.joda.time.DateTime value)` Sets the value of the admissionStartTime property.
`void` | `setBedPeriodList(BedPeriodListType value)` Sets the value of the bedPeriodList property.
`void` | `setContractEndTime(org.joda.time.DateTime value)` Sets the value of the contractEndTime property.
`void` | `setEndReason(EndReasonType value)` Sets the value of the endReason property.
`void` | `setIsAccident(boolean value)` Sets the value of the isAccident property.
`void` | `setTemporaryAbsenceList(TemporaryAbsenceListType value)` Sets the value of the temporaryAbsenceList property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AdmissionType

    public AdmissionType()

Method Detail

### getAdmissionStartTime

    public org.joda.time.DateTime getAdmissionStartTime()

  Gets the value of the admissionStartTime property.

  Returns:
    possible object is `String`

### setAdmissionStartTime

    public void setAdmissionStartTime(org.joda.time.DateTime value)

  Sets the value of the admissionStartTime property.

  Parameters:
    `value` - allowed object is `String`

### getAdmissionEndTime

    public org.joda.time.DateTime getAdmissionEndTime()

  Gets the value of the admissionEndTime property.

  Returns:
    possible object is `String`

### setAdmissionEndTime

    public void setAdmissionEndTime(org.joda.time.DateTime value)

  Sets the value of the admissionEndTime property.

  Parameters:
    `value` - allowed object is `String`

### isIsAccident

    public boolean isIsAccident()

  Gets the value of the isAccident property.

### setIsAccident

    public void setIsAccident(boolean value)

  Sets the value of the isAccident property.

### getEndReason

    public EndReasonType getEndReason()

  Gets the value of the endReason property.

  Returns:
    possible object is `EndReasonType`

### setEndReason

    public void setEndReason(EndReasonType value)

  Sets the value of the endReason property.

  Parameters:
    `value` - allowed object is `EndReasonType`

### getContractEndTime

    public org.joda.time.DateTime getContractEndTime()

  Gets the value of the contractEndTime property.

  Returns:
    possible object is `String`

### setContractEndTime

    public void setContractEndTime(org.joda.time.DateTime value)

  Sets the value of the contractEndTime property.

  Parameters:
    `value` - allowed object is `String`

### getBedPeriodList

    public BedPeriodListType getBedPeriodList()

  Gets the value of the bedPeriodList property.

  Returns:
    possible object is `BedPeriodListType`

### setBedPeriodList

    public void setBedPeriodList(BedPeriodListType value)

  Sets the value of the bedPeriodList property.

  Parameters:
    `value` - allowed object is `BedPeriodListType`

### getTemporaryAbsenceList

    public TemporaryAbsenceListType getTemporaryAbsenceList()

  Gets the value of the temporaryAbsenceList property.

  Returns:
    possible object is `TemporaryAbsenceListType`

### setTemporaryAbsenceList

    public void setTemporaryAbsenceList(TemporaryAbsenceListType value)

  Sets the value of the temporaryAbsenceList property.

  Parameters:
    `value` - allowed object is `TemporaryAbsenceListType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TRUSSMAKER 3.18.0 API
Copyright © {inceptionYear}-2019 eHealth. All Rights Reserved.